Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sourceforge.pebble.api.event.blogentry
Class BlogEntryEvent

    java.lang.Object
      java.util.EventObject
          net.sourceforge.pebble.api.event.PebbleEvent
              net.sourceforge.pebble.api.event.blogentry.BlogEntryEvent

All Implemented Interfaces:
  java.io.Serializable

    public class BlogEntryEvent

extends PebbleEvent

Event to signify that a blog entry has been added, removed or changed.

Author:
  Simon Brown
See Also:
  Serialized Form

Field Summary
`static int` | `BLOG_ENTRY_ADDED` constant representing blog entry added type
`static int` | `BLOG_ENTRY_CHANGED` constant representing blog entry changed type
`static int` | `BLOG_ENTRY_PUBLISHED` constant representing blog entry published type
`static int` | `BLOG_ENTRY_REMOVED` constant representing blog entry removed type
`static int` | `BLOG_ENTRY_UNPUBLISHED` constant representing blog entry unpublished type

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`BlogEntryEvent(BlogEntry blogEntry, int type)` Creates a new instance with the specified source and type.
`BlogEntryEvent(BlogEntry blogEntry, java.util.List propertyChangeEvents)` Creates a new instance with the specified source and type.

Method Summary
`BlogEntry` | `getBlogEntry()` Gets the blog entry that is the source of this event.
`java.util.List` | `getPropertyChangeEvents()` Gets the list of property change events that caused this event.

Methods inherited from class net.sourceforge.pebble.api.event.PebbleEvent
`getType, isVetoed, toString, veto`

Methods inherited from class java.util.EventObject
`getSource`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### BLOG_ENTRY_ADDED

    public static final int BLOG_ENTRY_ADDED

  constant representing blog entry added type

  See Also:
    Constant Field Values

### BLOG_ENTRY_REMOVED

    public static final int BLOG_ENTRY_REMOVED

  constant representing blog entry removed type

  See Also:
    Constant Field Values

### BLOG_ENTRY_CHANGED

    public static final int BLOG_ENTRY_CHANGED

  constant representing blog entry changed type

  See Also:
    Constant Field Values

### BLOG_ENTRY_PUBLISHED

    public static final int BLOG_ENTRY_PUBLISHED

  constant representing blog entry published type

  See Also:
    Constant Field Values

### BLOG_ENTRY_UNPUBLISHED

    public static final int BLOG_ENTRY_UNPUBLISHED

  constant representing blog entry unpublished type

  See Also:
    Constant Field Values

Constructor Detail

### BlogEntryEvent

    public BlogEntryEvent(BlogEntry blogEntry,
                          int type)

  Creates a new instance with the specified source and type.

  Parameters:
    `blogEntry` - the blog entry that created this event
    `type` - the type of this event

### BlogEntryEvent

    public BlogEntryEvent(BlogEntry blogEntry,
                          java.util.List propertyChangeEvents)

  Creates a new instance with the specified source and type.

  Parameters:
    `blogEntry` - the blog entry that created this event
    `propertyChangeEvents` - the type of this event

Method Detail

### getBlogEntry

    public BlogEntry getBlogEntry()

  Gets the blog entry that is the source of this event.

  Returns:
    a BlogEntry instance

### getPropertyChangeEvents

    public java.util.List getPropertyChangeEvents()

  Gets the list of property change events that caused this event.

  Returns:
    a List of PropertyChangeEvent objects, or null if the type of this event is not BLOG_ENTRY_CHANGED

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2006, Simon Brown. All Rights Reserved.